

/*/ CARRELLO /*/
.cart-full{
    padding: 8vw 12vw;
}
.cart-full .title--big{
    margin-bottom: 2vw;
}
#cart__list{
    width: 66.6%;
    display: inline-block;
    vertical-align: top;
}
#cart__empty{
    padding: 50px 0px;
    font-size: 24px;
    color: #767676;
}
#cart__recap{
    width: calc(33.3% - 2vw);
    margin-left: 2vw;
    display: inline-block;
    vertical-align: top;
    position: sticky;
    top: 120px;
}


/*/ CARRELLO RECAP /*/
#cart__recap header{
    font-size: 18px;
    padding: 20px 30px;
    color: #767676;
    font-weight: 600;
}
#cart__recap header a{
    float: right;
}
.cart__recap-container{
    background: #DDDDDD;
    font-size: 18px;
    color: #333333;
    font-family: Ubuntu;
}
.cart__recap-wrapper{
    padding: 2.5vw;
}
.cart__recap-wrapper:first-child{
    border-bottom: 1px solid #BABABA;
}
.cart__recap-info{
    padding: 20px 0;
}
.cart__recap-info:first-child{
    padding-top: 0;
}
.cart__recap-info:last-child{
    padding-bottom: 0;
}
.cart__recap-info > span{
    width: 50%;
    display: inline-block;
    text-align: right;
}
.cart__recap-info > span:first-child{
    text-align: left;
}
.cart__tot-parziale{
    font-weight: 500;
}
.cart__tot-spedizione{
    font-size: 14px;
}
.cart-manager__spese-no-calc{
    font-size: 12px;
    color: #FF0000;
    display: none;
}
.cart-manager__spese-no-calc a{
    text-decoration: underline!important;
    font-weight: 600;
}
.cart__tot-spedizione.invalid .cart-manager__spese-spedizione,
.cart__tot-spedizione.invalid .cart-manager__valuta{ display: none; }
.cart__tot-spedizione.invalid .cart-manager__spese-no-calc{ display: block; }
#shipping-recap.invalid{ display: none; }
.cart__tot{
    font-weight: 500;
    font-size: 29px;
    line-height: 33px;
}
#cart__recap .go-to-checkout{
    margin: 0;
    font-size: 16px;
    font-weight: 500;
    margin-top: 20px;
    padding: 20px 20px;
}
.go-to-checkout--disabled{
    pointer-events: none;
    opacity: 0.5;
}
#cart__recap .mini-text{
    font-size: 11px;
    line-height: 12px;
    color: #767676;
}
.cart__recap-indirizzi{
    width: 100%;
    margin-top: 20px;
}
.cart__recap-indirizzi-box{
    width: 50%;
    padding: 30px;
    float: left;
}
.cart__recap-indirizzi-box p{
    margin-top: 10px;
    line-height: 30px;
}
.cart__recap-indirizzi-box p span{
    text-transform: uppercase;
}

/*/ CARRELLO ITEM /*/
.cart-item{
    font-family: Ubuntu;
    padding: 30px;
    display: table;
    width: 100%;
    border-bottom: 1px solid #BABABA;
}
.cart-item > *{
    position: relative;
    display: table-cell;
    vertical-align: middle;
}

.cart-item__name{
    width: 35%;
}
.cart-item__img{
    width: 75px;
    height: 75px;
    padding: 0;
    position: relative;
    display: inline-block;
    vertical-align: middle;
}
.cart-item__img img{
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
}
.cart-item__name header{
    display: inline-block;
    vertical-align: middle;
    padding-left: 40px;
}
.cart-item__name header h4{
    margin-top: 10px;
    font-size: 13px;
}

.cart-item__qta{
    width: 50%;
}
.cart-item__qta-input{
    width: calc(50% - 20px);
    max-width: 150px;
    margin-right: 20px;
    position: relative;
    display: inline-block;
}
.cart-item__qta-equal{
    width: 50%;
    position: relative;
    display: inline-block;
}
.cart-item__qta-equal{
    color: #767676;
}
.cart-item__qta-input-type{
    top: 55%;
    right: 45px;
    font-size: 11px;
    position: absolute;
    color: #767676;
    transform: translate3d(0, -50%, 0);
}
.cart-item__qta-input-label{
    top: 55%;
    left: 20px;
    font-size: 11px;
    position: absolute;
    color: #767676;
    transform: translate3d(0, -50%, 0);
}
.cart-item__qta input{
    color: #333333;
    background: #F1F1F1;
    border-radius: 1px;
    padding: 15px 25px;
}
.cart-item__qta--pixall input{
    padding-left: 50px
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button {  
   opacity: 1;
   height: 30px;
   cursor: pointer;
}
.cart-item__qta--pixall input[type=number]::-webkit-inner-spin-button,
.cart-item__qta--pixall input[type=number]::-webkit-outer-spin-button { 
    opacity: 0;
    pointer-events: none;
}

.cart-item__price{
    width: 15%;
    font-size: 11px;
    color: #767676;
    line-height: 20px;
    position: relative;
    text-align: right;
}
.cart-item__price-tot{
    font-size: 18px;
    color: #333333;
}
.cart-item__remove{
    top: -20px;
    right: -15px;
    font-size: 13px;
    font-weight: 700;
    cursor: pointer;
    position: absolute;
}
.cart-item--read-only .cart-item__remove{
    display: none;
}
.cart-item--read-only .cart-item__qta-input{
    pointer-events: none;
}
.cart-item--read-only input[type=number]::-webkit-inner-spin-button, 
.cart-item--read-only input[type=number]::-webkit-outer-spin-button {  
   opacity: 0;
   pointer-events: none;
}


.cart-item--header{
    font-family: 'Vollkorn', serif;
    padding: 20px 30px;
}
.cart-item--header,
.cart-item--header .cart-item__price{
    font-size: 18px !important;
    color: #767676 !important;
    font-weight: 600 !important;
}
.cart-item--header > *{
    height: auto;
    padding: 0;
}

/* / CRONOLOGIA ORDERS COMPLETA / */
#cart__orders .crono-orders__wrapper{
    width: 100%;
    position: relative;
    top: auto;
    display: block;
    margin-left: 0;
}









/*/ CHECKOUT /*/
.checkout-full{
    padding: 8vw 12vw;
}
.checkout-full .title--big{
    margin-bottom: 2vw;
}
.checkout__loader{
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    opacity: 0;
    pointer-events: none;
    transition: all 350ms linear;
}
.checkout__loader::before{
    content: '';
	width: 90px;
	height: 90px;
	background-image: url('../imgs/general/loader-white.svg');
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
	position: absolute;
	top: 50%;
	left: 50%;

	transform: translate(-50%, -50%);
	z-index: 99999;
}
.checkout__loader.active{
    opacity: 1;
    pointer-events: auto;
}
#checkout__steps{
    width: 66.6%;
    display: inline-block;
    vertical-align: top;
}
#checkout__recap{
    width: calc(33.3% - 2vw);
    margin-left: 2vw;
    display: inline-block;
    vertical-align: top;
}

/*/ CHECKOUT STEPS /*/
.checkout-step{
    padding: 65px 0;
    border-bottom: 1px solid #BABABA;
}
.checkout-step .user-data__link-edit,
.checkout-step .user-data__link-no-save,
.checkout-step .user-data-form h3{
    display: none;
}
.checkout-step header{
    cursor: pointer;
}
.checkout-step header span{
    display: inline-block;
    width: 45px;
    height: 45px;
    color: #333333;
    line-height: 45px;
    font-size: 18px;
    text-align: center;
    margin-right: 40px;
    border: 1px solid #333333;
    transition: all 200ms linear;
}
.checkout-step.active header span{
    color: #FFFFFF;
    background: #333333;
}
.checkout-step header h2{
    display: inline-block;
    vertical-align: middle;
}
.checkout-step .cta-gradient{
    width: 350px;
    margin: 65px auto 0 auto;
}

.checkout-step__basic-info{
    padding: 30px;
    font-family: 'Ubuntu', sans-serif;
    border-bottom: 1px solid #BABABA;
    margin-top: 0;
}
.checkout-step__basic-info:first-child{
    margin-top: 65px;
}
.checkout-step__basic-info__label{
    width: 85%;
    display: inline-block;
}
.checkout-step__basic-info__value{
    width: 15%;
    font-size: 18px;
    display: inline-block;
    text-align: right;
    vertical-align: top;
}
.checkout-step__basic-info--pagamento{
    background-color: #DDDDDD;
    position: relative;
}
.checkout-step__basic-info__label--cell{
    width: auto;
    display: inline-block;
    font-weight: 700;
    line-height: 33px;
}
.checkout-step__basic-info__value--cell{
    display: inline-block;
    float: right;
}
#checkout-step--pagamento .cart__tot{
    display: block;
    margin-bottom: 0px !important;
}
#checkout-step--pagamento #paypal-button-container{
    width: 400px;
    margin: 30px auto;
}

.checkout-step__payment-box{
    padding: 35px 3.4vw;
    margin-top: 60px;
    background: #DDDDDD;
    font-family: Ubuntu;
}
.checkout-step__payment-box__label{
    font-weight: 500;
    display: inline-block;
    width: calc(50% - 175px);
    vertical-align: middle;
}
.checkout-step__payment-box__value{
    display: inline-block;
    width: calc(50% - 180px);
    text-align: center;
    vertical-align: middle;
    font-weight: 500;
    font-size: 29px;
    line-height: 33px;
}
.checkout-step__payment-box .cta-gradient{
    display: inline-block;
    margin: 0;
}
.checkout-step .check-condizioni{
    padding: 30px;
    margin-bottom: 40px;
}
.checkout-step .check-condizioni label,
.checkout-step .check-condizioni a{
    font-size: 14px;
    color: #333333;
    font-weight: 400;
    font-family: 'Ubuntu', sans-serif;
}
.checkout-step .check-condizioni a{
    text-decoration: underline !important;
}


/*/ CARRIER /*/
.logo-carrier{
    height: 40px;
    width: auto;
    margin-top: 20px;
}


/*/ address /*/
.checkout-step .address-infos h3{
    margin-top: 85px;
}

/*/ cart list /*/
.checkout-step #cart__list{
    width: 100%;
    margin-top: 65px;
}

/*/ CHECKOUT RECAP: vedi #cart__recap /*/


/* / CHECKOUT PAGAMENTO - PAYPAL / */
.checkout-step__btn-paypal{
    width: 350px;
    display: inline-block;
}
.btn-paypal{
    width: 350px;
    max-width: 100%;
    display: block;
    opacity: 0.5;
    pointer-events: none;
    transition: all 350ms linear;
}
.btn-paypal.active{
    opacity: 1;
    pointer-events: auto;
}

/*/ CHECKOUT PAGAMENTO - ORDER CREATE /*/
.btn-ordercreate{
    width: 350px;
    max-width: 100%;
    background-color: #FFBF00;
    padding: 18px 0;
    font-family: 'Ubuntu', sans-serif;
    font-size: 16px;
    font-weight: 500;
    line-height: 16px;
    color: #FFFFFF;
    text-align: center;
    display: block;
    margin: 0 auto;
    opacity: 0.5;
    pointer-events: none;
    cursor: pointer;
    transition: all 350ms linear;
}
.btn-ordercreate.active{
    opacity: 1;
    pointer-events: auto;
}

/* box soglia bonifico */
.checkout-bonifico__msg{
    width: 45%;
    background-color: #C4C4C4;
    padding: 18px 18px 18px 56px;
    font-family: 'Ubuntu', sans-serif;
    font-size: 15px;
    font-weight: 400;
    line-height: 20px;
    color: #333333;
    position: relative;
    display: block;
    margin-top: 15px;
}
.checkout-bonifico__msg::before{
    content: '';
    width: 18px;
    height: 18px;
    background-image: url('../imgs/general/info.svg');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    position: absolute;
    top: 18px;
    left: 18px;
}
.checkout-bonifico__text-bot{
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    color: #333333;
    text-align: center;
    display: block;
    margin-top: 20px;
}

/*/ THANK YOU /*/
#thankyou{
    text-align: center;
}




/*/ ORDER RECAP /*/
.order-full{
    padding: 4vw 12vw;
}
.order-full .crono-orders__link-all{
    text-align: left;
    margin-bottom: 50px;
    left: auto;
    transform: none;
    font-size: 18px;
    font-weight: 400;
}
.order-full .title--big{
    margin-bottom: 2vw;
}
.order-full .subtitle{
    font-family: Ubuntu;
    color: #767676;
    margin-top: -30px;
    margin-bottom: 40px;
    font-size: 18px;
    font-weight: 500;
    text-transform: lowercase;
}
#order__aside{
    width: 30%;
    display: inline-block;
    vertical-align: top;
}
.order__status{
    width: 100%;
    font-family: Ubuntu;
    background-color: #FFFFFF;
    padding: 35px 50px;
    font-weight: 500;
}
#order__list{
    width: 70%;
    display: inline-block;
    vertical-align: top;
}
#order__recap{
    width: calc(33.3% - 2vw);
    margin-left: 2vw;
    display: inline-block;
    vertical-align: top;
    position: sticky;
    top: 120px;
}
.order__section{
    font-family: Ubuntu;
    padding: 40px 80px;
    font-size: 14px;
    line-height: 18px;
    border-bottom: 1px solid #BABABA;
}
.order__title{
    font-size: 18px;
    margin: 0 0 20px 0;
}
.order-item{
    font-family: Ubuntu;
    padding: 15px 0px;
    display: table;
    width: 100%;
}
.order-item > *{
    position: relative;
    display: table-cell;
    vertical-align: middle;
}

.order-item__name{
    width: 35%;
}
.order-item__img{
    width: 75px;
    height: 75px;
    padding: 0;
    position: relative;
    display: inline-block;
    vertical-align: middle;
}
.order-item__img img{
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate3d(-50%, -50%, 0);
}
.order-item__name header{
    display: inline-block;
    vertical-align: middle;
    padding-left: 40px;
}
.order-item__name header h4{
    font-size: 13px;
    color: #767676;
}

.order-item__qta{
    width: 50%;
}
.order-item__qta span{
    color: #767676;
}

.order-item__price{
    width: 15%;
    position: relative;
}

.order__recap__item span{
    display: inline-block;
    width: 200px;
}
.order__recap__item strong{
    display: inline-block;
    text-align: right;
    width: 100px;
}


.order__recap-indirizzi-box{
    display: inline-block;
    vertical-align: top;
    margin-right: 20%;
}





@media(max-width: 1499px){
    .checkout-full,
    .cart-full{
        padding: 8vw 4vw;
    }
}



/*/ MEDIA QUERY 1299 /*/
@media(max-width: 1299px){
    

    #cart__recap header{
        padding: 20px 10px;
    }

    .cart__recap-container{
        font-size: 16px;
    }

    .cart__recap-indirizzi-box{
        padding: 30px 15px;
    }
    

    .cart__tot{
        font-size: 24px;
    }

    .cart-item--header{
        padding: 30px 15px;
    }

    .cart-item{
        padding: 20px 15px;
    }

    .cart-item__img{
        width: 60px;
        height: 60px;
    }

    .cart-item__name header{
        padding-left: 15px;
    }

    .cart-item__qta-input-type{
        top: 50%;
        right: 20px;
    }

    .checkout-step__payment-box__label{
        width: calc(50% - 220px);
    }
    
    .checkout-step__payment-box__value{
        width: calc(50% - 30px);
    }

    .checkout-step .cta-gradient{
        width: 250px;
    }


    .checkout-step__basic-info__value--cell.btn-paypal{
        width: 215px;
    }
    .checkout-step__basic-info{
        padding: 20px 15px;
    }
}



/*/ MEDIA QUERY 991 /*/
@media(max-width: 991px){

    .checkout-full{
        padding: 40px 20px;
    }

    #checkout__steps{
        width: 100%;
    }

    .checkout-step{
        padding-top: 30px;
    }

    .checkout-step header span{
        width: 35px;
        height: 35px;
        line-height: 35px;
    }

    .checkout-step header h2{
        display: inline-block;
        margin-top: 5px;
    }

    .checkout-step .address-infos h3{
        margin-top: 0;
    }

    .checkout-step .cta-gradient{
        width: 100%;
        max-width: 400px;

        margin-top: 50px;
    }
    
    .cart-full{
        padding: 40px 20px;
    }
    .cart-full .title--big{
        margin-bottom: 30px;
    }

    /*/ CARRELLO ITEM /*/
    .cart-item{
        position: relative;
        display: block;
    }
    .cart-item > *{
        display: block;
    }

    .cart-item__name{
        width: 100%;
    }
    .cart-item__img{
        vertical-align: top;
    }
    .cart-item__name header{
        display: inline-block;
        vertical-align: top;
        padding-left: 20px;
    }
    .cart-item__name header h4{
        margin-top: 10px;
        font-size: 13px;
    }

    .cart-item__qta{
        width: 100%;
        padding-left: 0;
        margin-top: 30px;
    }
    .cart-item__qta-input{
        width: 120px;
        max-width: 120px;
        margin-right: 10px;
    }
    .cart-item__qta-equal{
        width: 50%;
        position: relative;
        display: inline-block;
    }
    .cart-item__qta-input-type{
        right: 30px;
    }
    .cart-item__qta-input-label{
        left: 10px;
    }
    .cart-item__qta input{
        padding: 10px;
        width: 120px;
    }
    .cart-item__qta--pixall input{
        padding-left: 25px;
    }

    .cart-item__price{
        width: 100%;
        padding-left: 80px;
        line-height: 20px;
        position: static;
        margin-top: 15px;
    }
    .cart-item__remove{
        top: 10px;
        right: 10px;
    }


    .cart-item--header{
        padding: 10px 5px;
    }
    .cart-item--header,
    .cart-item--header .cart-item__price{
        font-size: 18px !important;
        color: #767676 !important;
        font-weight: 600 !important;
    }
    .cart-item--header > *{
        width: auto;
        height: auto;
        padding: 0 10px;
        /* display: inline-block; */
        margin: 0;
        display: none;
    }

    /* / CART RECAP / */
    #cart__recap{
        width: 100%;
        position: relative;
        top: auto;

        margin-left: 0;
        margin-top: 30px;
        display: block;
    }

    .cart__recap-wrapper{
        padding: 20px;
    }

    #cart__recap .go-to-checkout{
        margin: 20px auto 0 auto;
    }

    .cart__recap-indirizzi{
        margin-top: 40px;
    }
    .cart__recap-indirizzi-box{
        width: 100%;
        padding: 10px 0;
        float: none;
    }

    #cart__list{
        width: 100%;
    }

    .checkout-step__payment-box{
        padding: 15px;
    }

    .checkout-step__payment-box__label{
        width: 50%;
    }
    
    .checkout-step__payment-box__value{
        width: 50%;
    }

    .checkout-step .cta-gradient{
        margin: 30px auto 0 auto;
        display: block;
    }

    .checkout-step__basic-info__label{
        width: 75%;
        margin-right: 0;
    }
    .checkout-step__basic-info__value{
        width: 25%;
        margin-right: 0;
    }
    .checkout-step__basic-info__label--cell{
        margin-right: 0px;
    }
    .checkout-step__basic-info__value--cell.btn-paypal{
        margin: 30px auto 0 auto;
        position: relative;
        top: auto;
        right: 0;
        transform: translate3d(0,0,0);
    }
    .checkout-bonifico__msg{
        width: 100%;
    }

    .btn-paypal{
        width: 215px;
        margin-left: auto;
        margin-right: auto;
    }



    /*/ ORDER RECAP /*/
    .order-full .subtitle{
        margin-top: 0;
    }
    #order__list,
    #order__aside{
        width: 100%;
    }
    .order__section{
        padding: 20px 0;
    }
    .order-item > *{
        width: 100% !important;
        display: inline-block;
    }
    .order-item__qta{
        margin-top: 10px;
    }
    .order__recap__item span,
    .order__recap__item strong{
        width: 50%;
    }
    .order__recap-indirizzi-box{
        width: 100%;
        margin-bottom: 30px;
    }
    #order__aside{
        text-align: center;
    }
}